

<ul class="breadcrumb">
    {{ template "breadcrumbnav" (dict "p1" . "p2" .) }}
</ul>
  {{ define "breadcrumbnav" }}
  {{ if .p1.Parent }}
  {{ template "breadcrumbnav" (dict "p1" .p1.Parent "p2" .p2 )  }}
  {{ else if not .p1.IsHome }}
  {{ template "breadcrumbnav" (dict "p1" .p1.Site.Home "p2" .p2 )  }}
  {{ end }}
  <li{{ if eq .p1 .p2 }} class="active"{{ end }}>
    <a href="{{ .p1.Permalink | relURL }}">{{ .p1.Title }}</a>
  </li>
  {{ end }}